%define pkgname		cairomm

%define api		1.0
%define major		1
%define libname		%mklibname %{pkgname} %{api} %{major}
%define libnamedev	%mklibname %{pkgname} %{api} -d

Summary:	C++ API for the cairo multi-platform 2D graphics library
Name:		cairomm%{api}
Version:	1.14.5
Release:	%mkrel 1
Source0:	https://www.cairographics.org/releases/%{pkgname}-%{version}.tar.xz
License:	LGPLv2+
Group:		System/Libraries
Url:		https://www.cairographics.org/cairomm
BuildRequires:	pkgconfig(cairo) >= 1.10.0
BuildRequires:	pkgconfig(sigc++-2.0)
BuildRequires:	doxygen
BuildRequires:	meson

%description
This is a C++ API for the Cairo graphics library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%package -n %{libname}
Summary:	Cairomm - multi-platform 2D graphics library
Group:		System/Libraries

%description -n %{libname}
This is a C++ API for the Cairo graphics library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%package -n %{libnamedev}
Summary:	Development files for Cairomm library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This is a C++ API for the Cairo graphics library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%files -n %{libname}
%doc ChangeLog NEWS README.md
%license COPYING
%{_libdir}/libcairomm-%{api}.so.%{major}{,.*}

%files -n %{libnamedev}
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{pkgname}-%{api}/


%changelog
* Wed Jan 22 2025 daviddavid <daviddavid> 1.14.5-1.mga10
+ Revision: 2140429
- new version 1.14.5

* Wed Mar 30 2022 umeabot <umeabot> 1.14.3-2.mga9
+ Revision: 1834838
- Mageia 9 Mass Rebuild

* Sat Oct 16 2021 wally <wally> 1.14.3-1.mga9
+ Revision: 1751899
- new version 1.14.3

* Sun Aug 08 2021 luigiwalser <luigiwalser> 1.14.2-1.mga9
+ Revision: 1740152
- 1.14.2
- build with meson
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 5.mga8-current
+ Revision: 1511159
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 1.12.0-4.mga7
+ Revision: 1295841
- Mageia 7 Mass Rebuild

* Sat Aug 26 2017 wally <wally> 1.12.0-3.mga7
+ Revision: 1148201
- fork as cairomm1.0

* Thu Feb 11 2016 umeabot <umeabot> 1.12.0-2.mga6
+ Revision: 953562
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 1.12.0-1.mga6
+ Revision: 882879
- new release

* Mon Aug 24 2015 wally <wally> 1.11.4-1.mga6
+ Revision: 868987
- new version 1.11.4
- clean .spec a bit

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-6.mga5
+ Revision: 745179
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 693554
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 678287
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-3.mga4
+ Revision: 503239
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 347317
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 24 2011 fwang <fwang> 1.10.0-1.mga2
+ Revision: 135087
- new version 1.10.0
- do not ship .la files

* Sat May 21 2011 ahmad <ahmad> 1.9.8-2.mga1
+ Revision: 100066
- ship the .la file, it's needed to build mysql-workbench

* Fri Apr 15 2011 ahmad <ahmad> 1.9.8-1.mga1
+ Revision: 85608
- update to 1.9.8
- don't ship .la files

* Thu Jan 13 2011 ahmad <ahmad> 1.9.6-2.mga1
+ Revision: 8760
- drop old/unneeded scriptlets
- imported package cairomm

